Changesets
sfp server API reference for Changesets: 11 endpoints.
/sfp/api/changesetsAuthorization
access-token In: header
Query Parameters
Project identifier
Filter by source org username
Response Body
curl -X GET "https://example.com/sfp/api/changesets?projectIdentifier=string"/sfp/api/changesetsAuthorization
access-token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/changesets" \ -H "Content-Type: application/json" \ -d '{ "projectIdentifier": "string", "name": "string", "sourceOrgUsername": "string", "selectedComponents": [ { "metadataType": "string", "memberName": "string" } ] }'/sfp/api/changesets/{changesetId}Authorization
access-token In: header
Path Parameters
Query Parameters
Project identifier
Response Body
curl -X GET "https://example.com/sfp/api/changesets/string?projectIdentifier=string"/sfp/api/changesets/{changesetId}/materialized-sourceAuthorization
access-token In: header
Path Parameters
Query Parameters
Project identifier
Salesforce metadata type to read from the materialized source snapshot
Salesforce metadata member name to read from the materialized source snapshot
Response Body
curl -X GET "https://example.com/sfp/api/changesets/string/materialized-source?projectIdentifier=string&metadataType=string&memberName=string"/sfp/api/changesets/{changesetId}/deploymentsAuthorization
access-token In: header
Path Parameters
Query Parameters
Project identifier
Response Body
curl -X GET "https://example.com/sfp/api/changesets/string/deployments?projectIdentifier=string"/sfp/api/changesets/{changesetId}/retryAuthorization
access-token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/changesets/string/retry" \ -H "Content-Type: application/json" \ -d '{ "projectIdentifier": "string" }'/sfp/api/changesets/{changesetId}/installAuthorization
access-token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/changesets/string/install" \ -H "Content-Type: application/json" \ -d '{ "projectIdentifier": "string", "targetOrg": "string" }'/sfp/api/changesets/{changesetId}/pull-requestsAuthorization
access-token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/changesets/string/pull-requests" \ -H "Content-Type: application/json" \ -d '{ "projectIdentifier": "string", "targetBranch": "string" }'/sfp/api/changesets/internal/{changesetId}/materializationAuthorization
access-token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/changesets/internal/string/materialization" \ -H "Content-Type: application/json" \ -d '{ "projectIdentifier": "string", "status": {} }'/sfp/api/changesets/internal/{changesetId}/deployments/{deploymentId}Authorization
access-token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/changesets/internal/string/deployments/string" \ -H "Content-Type: application/json" \ -d '{ "projectIdentifier": "string", "status": {} }'/sfp/api/changesets/internal/{changesetId}/pull-requests/{pullRequestId}Authorization
access-token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/changesets/internal/string/pull-requests/string" \ -H "Content-Type: application/json" \ -d '{ "projectIdentifier": "string", "status": {} }'